Subject: Re: damn ^M s
From: [email-masked] (Wei Ku)

10 Nov 1997 03:58:34 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "raf" <[email-masked]>, <[email-masked]>

Agreed ! It should not be a blindly removing '^M' from the file. The binary
code "dos2ux.exe" I accidentally sent to this mail list ( my apology ) will
remove the ^M only when it is combined with '\n'.

The other one "ux2dos.exe" will blindly add '^M' any time '\n' is
encountered, so it should not be used to transfer UNIX tar file into DOS
style ( and who need a DOS style tar file anyway ).

By the way, these files ( or the shortcut of them ) can be put on the
desktop for " drag and drop ".

Just a reminder which should be with the binary.

Wei Ku

-----Original Message-----
From: raf <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Monday, November 10, 1997 1:30 AM
Subject: Re: damn ^M s

>>Joe Marzot wrote:
>>>
>>> I have a tar file which I untar on a win32 machine - do a little
>>> editting - then tar it back up and send it back to the unix
>>> world. Unfortunately now it is full of ^M s. I checked the tar options
>>> and gnuwin32 FAQ but have not found any way to get rid of the damn
>>> things.
>
>>Joe look on your unix box for a executable called dos2unix or d_to_u or
>>something along those lines  the ^Ms are an effect from editting a file
>>on a dos/fat then on a unix box.
>
>>Aaron.
>
>Warning: many people suggest:
>
>    tr -d "\r" (short for TRanslate Delete carriage Returns)
>
>as a way to convert from dos to unix. this only works on *pure* dos text
files.
>don't do this on a tar file as it may contain binary files within it.
>
>don't do this blindly.
>
>
>raf
>---
>Thought for the day:
>
>    "If you had enough pieces of meat,
>        you could build your own cow."
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".